using System.Data.Entity.ModelConfiguration;

namespace Nop.Plugin.Misc.DynamicsCrm.Data
{
    public class DynamicsCrmEventQueueMap : EntityTypeConfiguration<DynamicsCrmEventQueue>
    {
        public DynamicsCrmEventQueueMap()
        {
            ToTable("DynamicsCrmEventQueue");

            HasKey(m => m.Id);
            Property(m => m.EntityId).IsRequired();
            Property(m => m.EntityType).IsRequired().IsUnicode(false).HasMaxLength(20);
            Property(m => m.EventType).IsRequired().IsUnicode(false).HasMaxLength(2);
            Property(m => m.EventDetail).HasMaxLength(255);
        }
    }
}