﻿using Nop.Core.Configuration;

namespace Nop.Plugin.Misc.DynamicsCrm
{
    public class DynamicsCrmSettings : ISettings
    {
        /// <summary>
        /// Gets or sets the UserName.
        /// </summary>
        /// <value>
        /// The UserName.
        /// </value>
        public virtual string UserName { get; set; }

        /// <summary>
        /// Gets or sets the Password.
        /// </summary>
        /// <value>
        /// The password.
        /// </value>
        public virtual string Password { get; set; }

        /// <summary>
        /// Gets or sets the OrganizationUri.
        /// </summary>
        /// <value>
        /// The uri.
        /// </value>
        public virtual string OrganizationUri { get; set; }

        /// <summary>
        /// Gets or sets the EmailErrorsTo.
        /// </summary>
        /// <value>
        /// The email.
        /// </value>
        public virtual string EmailErrorsTo { get; set; }

        /// <summary>
        /// Gets or sets the CustomerTypeCode.
        /// </summary>
        /// <value>
        /// The CustomerTypeCode.
        /// </value>
        public virtual int CustomerTypeCode { get; set; }

        /// <summary>
        /// Gets or sets the PriceLevel.
        /// </summary>
        /// <value>
        /// The PriceLevel.
        /// </value>
        public virtual string PriceLevel { get; set; }

        /// <summary>
        /// Gets or sets the Uom.
        /// </summary>
        /// <value>
        /// The Uom.
        /// </value>
        public virtual string Uom { get; set; }

        /// <summary>
        /// Gets or sets the UomSchedule.
        /// </summary>
        /// <value>
        /// The UomSchedule.
        /// </value>
        public virtual string UomSchedule { get; set; }
    }
}