﻿using System.Web.Mvc;
using System.Web.Routing;
using Nop.Web.Framework.Mvc.Routes;

namespace Nop.Plugin.Misc.DynamicsCrm
{
    public class RouteProvider : IRouteProvider
    {
        public void RegisterRoutes(RouteCollection routes)
        {
            routes.MapRoute("Plugin.Misc.DynamicsCrm.Configure", "Plugins/MiscDynamicsCrm/Configure",
                            new { controller = "Settings", action = "Index" },
                            new[] { "Nop.Plugin.Misc.DynamicsCrm.Controllers" }
                );

        }

        public int Priority
        {
            get { return 0; }
        }

    }
}